Subject: bug#27666: closed (Re: bug#27666: [grep on GPFS filesystem] SEEK_HOLE problem)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 31 Dec 2019 19:16:02 +0000

Your bug report

#27666: [grep on GPFS filesystem] SEEK_HOLE problem

which was filed against the grep package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
27666: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=27666
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#27666: [grep on GPFS filesystem] SEEK_HOLE problem
From: Paul Eggert <[email-masked]>
To: Moyard John <[email-masked]>
Cc: [email-masked], Eric Blake <[email-masked]>
Date: Tue, 31 Dec 2019 11:15:30 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

The GPFS SEEK_HOLE bug appears to have been fixed by IBM a few years ago, as
reported here:

https://www.spectrumscale.org/pipermail/gpfsug-discuss/2018-February/004595.html
https://www.spectrumscale.org/pipermail/gpfsug-discuss/2018-February/004596.html
https://www-01.ibm.com/support/docview.wss?uid=isg1IV87385

so I am closing the grep bug report.

Subject: [grep on GPFS filesystem] SEEK_HOLE problem
From: Moyard John <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Wed, 12 Jul 2017 09:27:50 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I use GPFS file system and I have sometimes an issue using grep command.
When issue occurs with the following message "Binary file <myfile> matches"
But "<myfile>" is an ASCII one, not a binary file.
The problem seems to deals with lseek(SEEK_HOLE) command and a file not completely flushed after close.
It could take several seconds to save the entire file on the disk.

So could grep command have another way to determine if input file is binary/ASCII instead using lseek(SEEK_HOLE) ?

Best regards
john